#include<bits/stdc++.h>

using namespace std;
int X[100100], Y[100100], Z[100100];
int brp[100100];
int main(){
    int N; cin >> N;
    int i, j;
    for(i = 1; i <= N; i++){
        cin >> j;
        X[i] = j;
    }
     for(i = 1; i <= N; i++){
        cin >> j;
        Y[i] = j;
    }
     for(i = 1; i <= N; i++){
        cin >> j;
        Z[i] = j;
    }
    sort(X, X + N);
    for(i = 1; i <= N; i++){
        brp[X[i]]++;
    }
    int k;
    long long resenje = 0;

    for(i = 1; i <= N; i++){
        k = Y[Z[i]];
        resenje += brp[k];
    }
}